public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/loofah/
Date: Sat,  3 Jun 2023 08:49:36 +0000 (UTC)	[thread overview]
Message-ID: <1685782171.a740cb3fc30207b09a7160e0696bb4cfcc235702.graaff@gentoo> (raw)

commit:     a740cb3fc30207b09a7160e0696bb4cfcc235702
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Jun  3 08:42:05 2023 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Jun  3 08:49:31 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a740cb3f

dev-ruby/loofah: add 2.21.3

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/loofah/Manifest             |  1 +
 dev-ruby/loofah/loofah-2.21.3.ebuild | 39 ++++++++++++++++++++++++++++++++++++
 2 files changed, 40 insertions(+)

diff --git a/dev-ruby/loofah/Manifest b/dev-ruby/loofah/Manifest
index 3ac14657cd4d..a673b5ce6c5b 100644
--- a/dev-ruby/loofah/Manifest
+++ b/dev-ruby/loofah/Manifest
@@ -2,3 +2,4 @@ DIST loofah-2.19.1.tar.gz 81858 BLAKE2B e4383f9b867d9cbd04e8c8ea3cb23d89c5651369
 DIST loofah-2.20.0.tar.gz 81976 BLAKE2B 8d5394ced04889afdc95472b1fbf0a67e3ef5bd0290370e144466053c58bad461eba5ed36d8435bfc8ea082b3df415a4743a576d1c8cff9eac13b55ec7222e20 SHA512 597c1d332cf48c1631b2179cad08f51a4a358aae4dcbb1132c027093e9357b23c8c5392960ef2bf3ccdff7697eaace260feaa8c9e2948a644c672998b2480dc3
 DIST loofah-2.21.1.tar.gz 84611 BLAKE2B 3c75080e1a3e1dda65cf72cdf181a20d21aabf81202413f30d31e9d8dde9cf8d937f3a40ec4adf0c072e04b6fd76dac859019d6f3b9df1455ded04cda3a52664 SHA512 699e506e3be38041ba70cc1ae0dbecdae4da766861375854c67152df33c3ae8a5e0fed2ece5cde538fb389461cc0fd52cf9730965411c95f267c2a63420405e7
 DIST loofah-2.21.2.tar.gz 84729 BLAKE2B f98211bca35a923d583cae7024b09221f846e1eaaff4e96cea1e647937abe3bb4d019f3259e4332761aedbf64dd5a46e244dd1124442d9eb05842b1e5b15fd42 SHA512 c634811218609a4833ac343b8ea97b5de56d1de0b8ac65afe036e59ec0cd8562c99a39518fb16bb0e99936adc3d24d3d2c1cb4e80abc8926757a68541d24bf75
+DIST loofah-2.21.3.tar.gz 84775 BLAKE2B 89286feb0c1345d0ba5ff61f8dad4461a43afa3624cdf33787e3371f32154bc4814914f9725b48d70f5ce89f654cbbb656ff319b2aeadbbb74f9f60db386c5eb SHA512 7462bd703135bbf67dca6864169013a787cb9c16c3dc41e17ac70f8d182b9b1d2e763f719b9a52c02a6609d65f9497fe6e4b92481e95175060978009cb0aa362

diff --git a/dev-ruby/loofah/loofah-2.21.3.ebuild b/dev-ruby/loofah/loofah-2.21.3.ebuild
new file mode 100644
index 000000000000..ddcdca4c72d0
--- /dev/null
+++ b/dev-ruby/loofah/loofah-2.21.3.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="loofah.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Library for manipulating and transforming HTML/XML documents and fragments."
+HOMEPAGE="https://github.com/flavorjones/loofah"
+SRC_URI="https://github.com/flavorjones/loofah/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux"
+IUSE=""
+
+ruby_add_rdepend "=dev-ruby/crass-1.0* >=dev-ruby/crass-1.0.2 >=dev-ruby/nokogiri-1.12.0"
+
+ruby_add_bdepend "test? ( >=dev-ruby/rr-1.1.0 )"
+
+all_ruby_prepare() {
+	# Fix version in gemspec
+	sed -i -e '/s\.version/ s/".*"/"'${PV}'"/' ${RUBY_FAKEGEM_GEMSPEC} || die
+
+	# Avoid unneeded development dependencies
+	sed -i -e '/concourse/I s:^:#:' Rakefile || die
+
+	# Avoid test failing on different whitespace.
+	sed -i -e '/test_fragment_whitewash_on_microsofty_markup/askip "gentoo"' test/integration/test_ad_hoc.rb || die
+}
+
+each_ruby_test() {
+	${RUBY} -Ilib:.:test -e 'Dir["test/**/test_*.rb"].each{|f| require f}' || die
+}


             reply	other threads:[~2023-06-03  8:49 UTC|newest]

Thread overview: 81+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-06-03  8:49 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-06 13:30 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/loofah/ Jakov Smolić
2024-01-23  8:27 Hans de Graaff
2023-11-14  6:35 Hans de Graaff
2023-10-11  5:37 Hans de Graaff
2023-08-29 17:19 Hans de Graaff
2023-07-11  9:43 Hans de Graaff
2023-05-12  5:26 Hans de Graaff
2023-05-12  5:26 Hans de Graaff
2023-04-02  6:47 Hans de Graaff
2022-12-21  7:34 Hans de Graaff
2022-12-18  9:08 Hans de Graaff
2022-12-13 18:36 Hans de Graaff
2022-12-13 18:36 Hans de Graaff
2022-10-01  7:06 Hans de Graaff
2022-05-22  7:45 Hans de Graaff
2022-05-22  7:45 Hans de Graaff
2022-03-16  6:41 Hans de Graaff
2022-03-16  6:41 Hans de Graaff
2022-02-23  5:53 Hans de Graaff
2022-02-23  5:53 Hans de Graaff
2021-11-08  2:51 Yixun Lan
2021-08-12  5:14 Hans de Graaff
2021-08-12  5:14 Hans de Graaff
2021-08-01  5:44 Hans de Graaff
2021-08-01  5:44 Hans de Graaff
2021-08-01  5:44 Hans de Graaff
2021-06-18  3:48 Hans de Graaff
2021-06-18  3:48 Hans de Graaff
2021-06-18  3:48 Hans de Graaff
2021-06-07  4:56 Hans de Graaff
2021-06-07  4:56 Hans de Graaff
2021-06-07  4:56 Hans de Graaff
2021-04-08  6:07 Hans de Graaff
2021-01-15  7:08 Hans de Graaff
2021-01-15  7:08 Hans de Graaff
2020-11-26  5:14 Hans de Graaff
2020-11-26  5:14 Hans de Graaff
2020-11-26  5:14 Hans de Graaff
2020-08-27  5:37 Hans de Graaff
2020-08-27  5:37 Hans de Graaff
2020-07-26 15:12 Hans de Graaff
2020-06-17  5:56 Hans de Graaff
2020-05-19 13:22 Hans de Graaff
2020-05-16  4:41 Hans de Graaff
2020-05-05 10:01 Hans de Graaff
2020-04-20 17:05 Sergei Trofimovich
2020-04-20 17:05 Sergei Trofimovich
2020-04-20 17:05 Sergei Trofimovich
2020-04-06  9:28 Hans de Graaff
2020-04-06  9:28 Hans de Graaff
2020-03-12 10:57 Hans de Graaff
2019-11-26  6:30 Hans de Graaff
2019-11-11 19:19 Hans de Graaff
2019-10-28  7:41 Agostino Sarubbo
2019-10-22 13:22 Hans de Graaff
2019-10-22 13:22 Hans de Graaff
2019-09-29  9:07 Hans de Graaff
2019-02-01 11:46 Hans de Graaff
2018-11-07 18:57 Hans de Graaff
2018-10-31  6:52 Hans de Graaff
2018-10-30 15:56 Hans de Graaff
2018-05-14  4:23 Hans de Graaff
2018-04-12  5:28 Hans de Graaff
2018-04-11 18:50 Markus Meier
2018-03-23  5:40 Hans de Graaff
2018-03-23  5:40 Hans de Graaff
2018-03-20  9:32 Hans de Graaff
2018-02-12 16:29 Thomas Deutschmann
2018-02-12  6:59 Hans de Graaff
2018-01-14  8:15 Hans de Graaff
2017-12-22  5:20 Markus Meier
2017-09-26 23:23 Sergei Trofimovich
2017-09-26 23:19 Sergei Trofimovich
2017-09-25  5:23 Hans de Graaff
2017-07-02  5:43 Hans de Graaff
2016-05-18  8:41 Fabian Groffen
2016-02-16 21:14 Hans de Graaff
2016-02-16 21:14 Hans de Graaff
2016-02-16 21:14 Hans de Graaff
2015-08-18  5:06 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1685782171.a740cb3fc30207b09a7160e0696bb4cfcc235702.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox